Skip to main content
POST
Refund a Received Pix Transfer

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Account-Id
string<uuid>
required

Account ID that received the original transfer (UUID format)

X-Reason
enum<string>
required

Refund reason code

Available options:
BE08,
FR01,
MD06,
SL02
X-Return-End-To-End
string

Optional custom return end-to-end ID (32 chars, D prefix)

Path Parameters

transfer_id
string<uuid>
required

Database UUID of the original Pix transfer (cashin)

Body

application/json
amount
string
required
Minimum string length: 1
Example:

"100.50"

description
string
Maximum string length: 140
Example:

"Customer reported unauthorized transaction"

metadata
object
operations
object[]
Required array length: 1 - 50 elements

Response

Created

accountId
string
required
Example:

"01989f9e-6508-79f8-9540-835be49fbd0d"

amount
string
required
Example:

"100.50"

createdAt
string
required
Example:

"2024-01-15T10:30:00Z"

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440001"

originalEndToEndId
string
required
Example:

"E12345678202411241430ABCDEFGHIJK"

returnEndToEndId
string
required
Example:

"D3030629420200808185300887639654"

status
enum<string>
required
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
CANCELLED
Example:

"PENDING"

type
enum<string>
required
Available options:
CASHOUT,
CASHIN
Example:

"CASHOUT"

updatedAt
string
required
Example:

"2024-01-15T10:30:00Z"

deletedAt
string
description
string
Example:

"Customer reported unauthorized transaction"

ledger
object
metadata
object